aboutsummaryrefslogtreecommitdiffstats
path: root/testing/re2c/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-08-06 06:24:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-08-06 06:24:23 +0000
commit579ba619a6a0d799c5cf1632003fa79e9551aa68 (patch)
tree5e649af0505583c206ee1d4d1ad6fb86998ae706 /testing/re2c/APKBUILD
parente5103dee420328c76983c537c09f956b7358af18 (diff)
downloadaports-579ba619a6a0d799c5cf1632003fa79e9551aa68.tar.gz
aports-579ba619a6a0d799c5cf1632003fa79e9551aa68.tar.bz2
aports-579ba619a6a0d799c5cf1632003fa79e9551aa68.tar.xz
testing/re2c: new aport
A tool for writing fast and flexible scanners in C from regular expressions http://www.re2c.org ref #395
Diffstat (limited to 'testing/re2c/APKBUILD')
-rw-r--r--testing/re2c/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/re2c/APKBUILD b/testing/re2c/APKBUILD
new file mode 100644
index 0000000000..9867fece2d
--- /dev/null
+++ b/testing/re2c/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Jeff Bilyk <jbilyk at gmail>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=re2c
+pkgver=0.13.5
+pkgrel=0
+pkgdesc="A tool for writing fast and flexible scanners in C from regular expressions"
+url="http://www.re2c.org"
+license="Public Domain"
+depends=
+makedepends=
+install=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # As Gentoo build, fix perms
+ chmod -R u+rw .
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="4a97d8f77ed6d2c76c8bd840a43f5633 re2c-0.13.5.tar.gz"